Packaging - Bug #5519

failure when installing GCE plugin with 1.5 rc2
04/30/2014 09:44 PM - Jelle B.

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| had step by step installed the various plugins maintaining a controlled working environment.
Up to the point that | installed plugin GEC and then proxy threw a error 500

Attached are the web server output and console output of the installer.

History

#1 - 05/01/2014 07:04 AM - Dominic Cleal
- Project changed from Foreman to Packaging

- Subject changed from failure when installing GEC plugin with 1.5 rc2 to failure when installing GCE plugin with 1.5 rc2

#2 - 05/01/2014 10:51 AM - Greg Sutcliffe

| can't reproduce this, I'm afraid:
$ DEBUG=1 apt-get install foreman-gce

Setting up foreman-gce (1.5.0~rc2-1)
$ curl -s -k —u admin:changeme https://localhost/about|grep -i -Al gce
&1t;tdsgt;GCE&lt; /tdagt;
&lt;tdagt;&lt;div class=&quot;label label-successé&quot;&gt; Installeds&lt; /divagt;&lt;/td&gt

’

Which OS are you working on? | tested on Wheezy...

#3 - 05/01/2014 12:49 PM - Jelle B.

Wheezy , and | was using the foreman-installer step by step , so first do the base install foreman , proxy , puppet
then follow up plugin for plugin.

Just realised the package is installed , BUT :
[ERROR 2014-04-25 06:37:25 verbose] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[test-foreman.lab2.sys.ecotel.lan]: Could not
evaluate: 500 Internal Server Error

Here is my menu showing all that is enabled.

Main Config Menu

1. [ll] Configure foreman

2. [D] Configure foreman_proxy

3. [l] Configure puppet

4. [[I] Configure foreman_plugin_bootdisk
5. [D] Configure foreman_plugin_chef

6. [[] Configure foreman_plugin_default_hostgroup
7. [l] Configure foreman_plugin_discovery
8. [D] Configure foreman_plugin_hooks

9. [l] Configure foreman_plugin_puppetdb
10. ] Configure foreman_plugin_setup

11. [[I] Configure foreman_plugin_templates
12. [I] Configure foreman_compute_ec2
13. [[] Configure foreman_compute_gce

14. [l]] Configure foreman_compute_libvirt

15. [[l] Configure foreman_compute_openstack
16. [l]] Configure foreman_compute_ovirt

17. [[l] Configure foreman_compute_rackspace
18. [[l] Configure foreman_compute_vmware
19. Display current config

Is it maybe an installer issue ?

Apache passenger complaints about a missing gem :
Could not find gem 'google-api-client (>= 0) ruby' in the gems available on this machine. (Bundler::GemNotFound)

#4 - 04/23/2016 02:14 PM - Anonymous

- Status changed from New to Resolved
I'm quite sure this is not reproducible anymore.

Files

Ruby (Rack) application could not be started 12.2 KB 04/30/2014 Jelle B.
